Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.uddi.client.structures.datatypes
Class Email

    java.lang.Object
      weblogic.uddi.client.structures.datatypes.TextNode
          weblogic.uddi.client.structures.datatypes.Email

public class Email
extends TextNode

The email structure store a string. As the name suggest it is used for storing an email. It has as optional useType attribute for descriptive purposes. The attribute is not optional if more than one email element is used.

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Field Summary

Fields inherited from class weblogic.uddi.client.structures.datatypes.TextNode
`value`

Constructor Summary
`Email()` Class constructor.
`Email(String val)` Class constructor specifying the initialization value.
`Email(String ut, String val)` Class constructor specifying the initialization values.

Method Summary
`String` | `getUseType()` Gets the value of the use type.
`void` | `setUseType(String value)` Sets the value of the use type.

Methods inherited from class weblogic.uddi.client.structures.datatypes.TextNode
`getValue, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Email

    public Email()

  Class constructor.

### Email

    public Email(String val)

  Class constructor specifying the initialization value.

### Email

    public Email(String ut,
                 String val)

  Class constructor specifying the initialization values.

Method Detail

### getUseType

    public String getUseType()

  Gets the value of the use type.

  Returns:
    the current value of the use type.

### setUseType

    public void setUseType(String value)

  Sets the value of the use type.

  Parameters:
    `value` - the new value of the use type.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD